apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ .Values.appName }}
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kuberenetes.io/force-ssl-redirect: "true"
    kubernetes.io/tls-acme: "true"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/whitelist-source-range: "{{ .Values.ingressWhitelist }}"
    external-dns.alpha.kubernetes.io/hostname: "operator.{{ .Values.dnsZone }}.evgo.com"
spec:
  rules:
  - host: {{ .Values.hostname }}
    http:
      paths:
      - path: /
        backend:
          serviceName: {{ .Values.appName }}
          servicePort: {{ .Values.servicePort }}
  tls:
  - hosts:
      - {{ .Values.hostname }}
    secretName: {{ .Values.appName }}-tls